- Qt 5.15
- Qt 3D
- C++ Classes
- QPhysicalDeviceCreatedChangeBase
- Qt 5.15.18 Reference Documentation

# QPhysicalDeviceCreatedChangeBase Class

class Qt3DInput::QPhysicalDeviceCreatedChangeBase

Base class for handling changes in physical devices. More...

Header: | #include <QPhysicalDeviceCreatedChangeBase>
qmake: | QT += 3dinput
Inherits: | Qt3DCore::QNodeCreatedChangeBase

- List of all members, including inherited members

## Public Functions

Qt3DCore::QNodeIdVector | axisSettingIds() const

## Detailed Description

## Member Function Documentation

### Qt3DCore::QNodeIdVector QPhysicalDeviceCreatedChangeBase::axisSettingIds() const

Returns a list of node ids.